<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
	xmlns:tm="http://java.sun.com/jsf/composite/terminal/1_0/components">
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.Tabela_Cate-Time.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	 	 
	   	<p:outputLabel value="#{msg['pages.Tabela_Cate-Time.hello']}"/>
  
    <p:dataTable id="CateTime" var="CateTime" value="#{dtEditView.CateTime}" editable="true" editMode="cell" widgetVar="cellCars">
    	<p:column headerText="Categoria">
        	<h:outputText value="#{Categoria.nome}" />
    	</p:column>
 
    	<p:column headerText="Time">
           <p:cellEditor>
               <f:facet name="output"><h:outputText value="#{Time.nome}" /></f:facet>
               <f:facet name="input">
                   <h:selectOneMenu value="#{Time.nome}" style="width:100%">
                       <f:selectItems value="#{dtEditView.nome}" var="man" itemLabel="#{man}" itemValue="#{man}" />
                   </h:selectOneMenu>
               </f:facet>
           </p:cellEditor>
       </p:column>
</p:dataTable>
	   
	</ui:define>
</ui:composition>

